AjaxStatus (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.ajax4jsf.taglib.html.jsp.AjaxStatus class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.jsp
Class AjaxStatus

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.taglib.html.jsp.AjaxStatus

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AjaxStatus

extends org.ajax4jsf.webapp.taglib.UIComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AjaxStatus()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setDir(java.lang.String __dir)`
`void` | `setFor(java.lang.String __for)`
`void` | `setForceId(java.lang.String __forceId)`
`void` | `setLang(java.lang.String __lang)`
`void` | `setLayout(java.lang.String __layout)`
`void` | `setOnclick(java.lang.String __onclick)`
`void` | `setOndblclick(java.lang.String __ondblclick)`
`void` | `setOnkeydown(java.lang.String __onkeydown)`
`void` | `setOnkeypress(java.lang.String __onkeypress)`
`void` | `setOnkeyup(java.lang.String __onkeyup)`
`void` | `setOnmousedown(java.lang.String __onmousedown)`
`void` | `setOnmousemove(java.lang.String __onmousemove)`
`void` | `setOnmouseout(java.lang.String __onmouseout)`
`void` | `setOnmouseover(java.lang.String __onmouseover)`
`void` | `setOnmouseup(java.lang.String __onmouseup)`
`void` | `setOnstart(java.lang.String __onstart)`
`void` | `setOnstop(java.lang.String __onstop)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setStartStyle(java.lang.String __startStyle)`
`void` | `setStartStyleClass(java.lang.String __startStyleClass)`
`void` | `setStartText(java.lang.String __startText)`
`void` | `setStopStyle(java.lang.String __stopStyle)`
`void` | `setStopStyleClass(java.lang.String __stopStyleClass)`
`void` | `setStopText(java.lang.String __stopText)`
`void` | `setStyle(java.lang.String __style)`
`void` | `setStyleClass(java.lang.String __styleClass)`
`void` | `setTitle(java.lang.String __title)`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxStatus

    public AjaxStatus()

Method Detail

### setStartStyleClass

    public void setStartStyleClass(java.lang.String __startStyleClass)

### setStopStyle

    public void setStopStyle(java.lang.String __stopStyle)

### setStopStyleClass

    public void setStopStyleClass(java.lang.String __stopStyleClass)

### setLayout

    public void setLayout(java.lang.String __layout)

### setTitle

    public void setTitle(java.lang.String __title)

### setOnstart

    public void setOnstart(java.lang.String __onstart)

### setDir

    public void setDir(java.lang.String __dir)

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

### setStartStyle

    public void setStartStyle(java.lang.String __startStyle)

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

### setStyle

    public void setStyle(java.lang.String __style)

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

### setFor

    public void setFor(java.lang.String __for)

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

### setLang

    public void setLang(java.lang.String __lang)

### setOnclick

    public void setOnclick(java.lang.String __onclick)

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

### setStartText

    public void setStartText(java.lang.String __startText)

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

### setForceId

    public void setForceId(java.lang.String __forceId)

### setStopText

    public void setStopText(java.lang.String __stopText)

### setOnstop

    public void setOnstop(java.lang.String __onstop)

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.